"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_actions_1 = require("redux-actions");
/**
 * 定义一批的 actions, 使得其 type 具有统一的命名空间作为前缀.
 * @param modelName 模块的名字
 * @param actionsMapper 每个 action 的 payload 的生成函数.
 */
exports.defineActions = function (modelName, actionsMapper) {
    var keys = Object.keys(actionsMapper);
    var result = {};
    keys.forEach(function (oneKey) {
        result[oneKey] = redux_actions_1.createAction(modelName + "/" + oneKey, actionsMapper[oneKey]);
    });
    return result;
};
