import { Action } from "redux-actions";
declare type ActionPayloadHandler<ActionCreator, State> = ActionCreator extends (...args: any) => Action<infer Payload> ? (state: State, payload: Payload) => State : never;
/**
 * 将一批 action 处理为对数据 state 的归约.
 * @param state 初始的 state
 * @param actionsMapper 每个action的处理函数;
 */
export declare const reduceActions: <S, M>(state: S, actionsMapper: M) => (reducersMapper: { [x in keyof M]: ActionPayloadHandler<M[x], S>; }) => (s: any, ac: {
    type: string;
    payload?: any;
}) => any;
export {};
