"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var immutable_1 = require("immutable");
/**
 * 对于两个对象有的属性是 immutable 的数据结构进行 shallow compare.
 * @param first
 * @param second
 */
function immutableShallowIs(first, second) {
    if (first === second) {
        return true;
    }
    var keys1 = Object.keys(first);
    var keys2 = Object.keys(second);
    if (keys1.length !== keys2.length) {
        return false;
    }
    return !keys1.some(function (one) { return !immutable_1.is(first[one], second[one]); });
}
exports.immutableShallowIs = immutableShallowIs;
