"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable react/destructuring-assignment */
var react_1 = __importDefault(require("react"));
var immutable_shallow_is_1 = require("../immutable/immutable-shallow-is");
var IComponent = /** @class */ (function (_super) {
    __extends(IComponent, _super);
    function IComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    IComponent.prototype.shouldComponentUpdate = function (nextProps, nextState) {
        if (immutable_shallow_is_1.immutableShallowIs(this.props, nextProps) &&
            immutable_shallow_is_1.immutableShallowIs(this.state, nextState)) {
            return false;
        }
        return true;
    };
    /**
     * 更新 state 上的某个字段的值.
     * @param updateKey 期望要更新的state 上的字段.
     * @param updater 对某个字段进行更新的函数, 其中 (data: 被更新的这个字段的值, state: 当前全部的 state)
     */
    IComponent.prototype.updateAt = function (updateKey, updater) {
        return this.setState(function (s) {
            var _a;
            return _a = {},
                _a[updateKey] = updater(s[updateKey], s),
                _a;
        });
    };
    return IComponent;
}(react_1.default.Component));
exports.IComponent = IComponent;
